<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div>
  <div class="d-flex bd-highlight">
    <div class="w-100 bd-highlight" style="cursor: pointer;" (click)="backToDashboardPage()">
      <div class="pps-header">
        <a class="style-font">
          <i style="font-size: 20px;cursor: pointer;" class="fa fa-chevron-left"></i>
          การจัดการข้อมูลในระบบ
        </a>
        <br>
        <p class="header-th style-font">
          สามารถจัดการข้อมูลแผนประจำปีตามที่แสดงด้านล่าง
        </p>
      </div>
    </div>
    <div class="bd-highlight" style="text-align: end; width: 700px;">
      <button type="button" class="btn btn-back" (click)="getSystemManagement(); modestatus = 'view' ; "
        *ngIf="modestatus !== 'view'">
        ย้อนกลับ
      </button>
      <button type="button" class="btn btn-save" style="margin-left: 6px;" data-toggle="modal"
        data-target="#confirmModal" *ngIf="modestatus !== 'view'">
        บันทึก
      </button>
      <button type="button" class="btn btn-save" style="margin-left: 6px;" (click)="onEdit()"
        *ngIf="modestatus === 'view'">
        <img src="../../../../../assets/img/edit_white.svg">
        แก้ไขข้อมูล
      </button>
    </div>
  </div>

</div><br />


<div class="add d-flex">
  <th>แผนประจำปี</th>
  <div class="add-save" *ngIf="modestatus !== 'view'">
    <button class="btn button-add" (click)="addData()">
      <img src="../../../../../assets/img/add_white.svg">
      เพิ่มข้อมูล
    </button>

  </div>
</div><br />

<div class="table-responsives">
  <table mat-table [dataSource]="dataSource">

    <tr>
      <!-- name Column -->
      <ng-container matColumnDef="name" sticky>
        <th mat-header-cell *matHeaderCellDef style="width: 300px;">ชื่อผลิตภัณฑ์</th>
        <td mat-cell *matCellDef="let row; let i = index" style="width: 300px;">
          <textarea appTextareaAutoresize autocomplete="off" class=" form-control example" [(ngModel)]="row.name"
            *ngIf="modestatus !== 'view'" placeholder="กรุณาระบุชื่อผลิตภัณฑ์" [disabled]="row.code !== null"
            (ngModelChange)="changeSaveDraft()"></textarea>
          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.name === null || row.name === ''">
              -
            </div>
            <div *ngIf="row.name !== null" style="word-wrap: break-word; width: 300px;">
              {{row.name}}
            </div>
          </label>
        </td>
      </ng-container>

      <!-- code Column -->
      <ng-container matColumnDef="code" sticky>
        <th mat-header-cell *matHeaderCellDef style="width: 300px;">รหัสผลิตภัณฑ์</th>
        <td mat-cell *matCellDef="let row">
          <input class=" form-control" [(ngModel)]="row.code" *ngIf="modestatus !== 'view'"
            placeholder="กรุณาระบุรหัสผลิตภัณฑ์" (ngModelChange)="changeSaveDraft()" disabled />
          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.code === null || row.code === ''">
              -
            </div>
            <div *ngIf="row.code !== null" style="word-wrap: break-word; width: 300px;">
              {{row.code}}
            </div>
          </label>
        </td>
      </ng-container>

      <!-- objective Column -->
      <ng-container matColumnDef="objective">
        <th mat-header-cell *matHeaderCellDef style="width: 400px;">
          วัตถุประสงค์การนำเสนอ
        </th>
        <td mat-cell *matCellDef="let row">
          <select class="form-control" [(ngModel)]="row.objective" *ngIf="modestatus !== 'view'"
            [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
            <option value=null selected disabled>วัตถุประสงค์การนำเสนอ</option>
            <option *ngFor="let objective of get_objective" [value]="objective.value">
              {{objective.name}}
            </option>
          </select>

          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.objective === null || row.objective === ''">
              -
            </div>
            <div *ngIf="row.objective !== null">
              {{row.objective}}
            </div>
          </label>

        </td>
      </ng-container>

      <!-- yearPlan Column -->
      <ng-container matColumnDef="yearPlan">
        <th mat-header-cell *matHeaderCellDef style="width: 300px;">รูปแบบของแผน</th>
        <td mat-cell *matCellDef="let row">
          <select class="form-control" [(ngModel)]="row.yearPlan" *ngIf="modestatus !== 'view'"
            [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
            <option value=null selected disabled>รูปแบบของแผน</option>
            <option *ngFor="let yearplan of get_yearplan" [value]="yearplan.value">
              {{yearplan.name}}
            </option>
          </select>

          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.yearPlan === null || row.yearPlan === ''">
              -
            </div>
            <div *ngIf="row.yearPlan !== null">
              {{row.yearPlan}}
            </div>
          </label>

        </td>
      </ng-container>

      <!-- quarter Column -->
      <ng-container matColumnDef="quarter">
        <th mat-header-cell *matHeaderCellDef>ไตรมาส</th>
        <td mat-cell *matCellDef="let row">
          <select class="form-control" [(ngModel)]="row.quarter" *ngIf="modestatus !== 'view'"
            [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
            <option value=null selected disabled>ไตรมาส</option>
            <option *ngFor="let quarter of get_quarter" [value]="quarter.value">
              {{quarter.name}}
            </option>
          </select>

          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.quarter === null || row.quarter === ''">
              -
            </div>
            <div *ngIf="row.quarter !== null">
              {{row.quarter}}
            </div>
          </label>

        </td>
      </ng-container>

      <!-- planStatus Column -->
      <ng-container matColumnDef="planStatus">
        <th mat-header-cell *matHeaderCellDef style="width: 300px;">สถานะแผน</th>
        <td mat-cell *matCellDef="let row">
          <select class="form-control" [(ngModel)]="row.planStatus" *ngIf="modestatus !== 'view'"
            [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
            <option value=null selected disabled>สถานะแผน</option>
            <option *ngFor="let status of get_planstatus" [value]="status.value">
              {{status.name}}
            </option>
          </select>

          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.planStatus === null || row.planStatus === ''">
              -
            </div>
            <div *ngIf="row.planStatus !== null">
              {{row.planStatus}}
            </div>
          </label>

        </td>
      </ng-container>

      <!-- planStatusDetail Column -->
      <ng-container matColumnDef="planStatusDetail">
        <th mat-header-cell *matHeaderCellDef style="width: 15%;">
          หมายเหตุกรณีมีสถานะล่าช้า
        </th>
        <td mat-cell *matCellDef="let row">
          <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
            [(ngModel)]="row.planStatusDetail" *ngIf="modestatus !== 'view'"
            placeholder="กรุณาระบุหมายเหตุกรณีมีสถานะล่าช้า" [disabled]="row.code !== null"
            (ngModelChange)="changeSaveDraft()"></textarea>
          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.planStatusDetail === null || row.planStatusDetail === ''">
              -
            </div>
            <div *ngIf="row.planStatusDetail !== null">
              {{row.planStatusDetail}}
            </div>
          </label>
        </td>
      </ng-container>

      <!-- division Column -->
      <ng-container matColumnDef="division">
        <th mat-header-cell *matHeaderCellDef style="width: 400px;">สายงาน</th>
        <td mat-cell *matCellDef="let row; index as index">
          <!-- <div *ngIf="row.division === undefined" >= undefined =</div>
          <div *ngIf="row.division !== undefined" >= non undefined =</div>
          <div *ngIf="row.division === null" >= null =</div>
          <div *ngIf="row.division !== null" >= non null =</div> -->
          <div *ngIf="modestatus !== 'view'">
            <div
              *ngIf="row.division === null || row.division === '' || row.division === undefined; else division_content">
              <!-- - -->
              <div *ngIf="divisionList[(index + (paginator.pageIndex * paginator.pageSize))] !== 'nondata'">
                <select class="form-control" [(ngModel)]="row.division"
                  (ngModelChange)="filterSearchNew('grp', row.division, (index + (paginator.pageIndex * paginator.pageSize)))"
                  [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                  <option *ngIf="row.division !== undefined" selected disabled value=null>กรุณาเลือกสายงาน</option>
                  <option *ngIf="row.division === undefined" selected disabled value=undefined>กรุณาเลือกสายงาน</option>
                  <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                    value='grpReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  <!-- <option *ngFor="let item of divisionList[(index + (paginator.pageIndex * paginator.pageSize))]" [ngValue]="item">{{item.ouCode}} : {{item.ouName}}</option> -->
                  <option *ngFor="let item of divisionList[(index + (paginator.pageIndex * paginator.pageSize))]"
                    [ngValue]="item">{{item.ouName}}</option>
                </select>
              </div>
              <div *ngIf="divisionList[(index + (paginator.pageIndex * paginator.pageSize))] === 'nondata'">
                <select class="form-control" [(ngModel)]="row.division"
                  (ngModelChange)="filterSearchNew('grp', row.division, (index + (paginator.pageIndex * paginator.pageSize)))"
                  [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                  <option selected disabled value=null> - </option>
                  <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                    value='grpReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
              </div>
            </div>
            <ng-template #division_content>
              <div>
                <!-- {{row.division.ouCode}} : {{row.division.ouName}} -->
                <div *ngIf="divisionList[(index + (paginator.pageIndex * paginator.pageSize))] !== 'nondata'">
                  <select class="form-control" [(ngModel)]="row.division.ouCode"
                    (ngModelChange)="filterSearch('grp', row.division, (index + (paginator.pageIndex * paginator.pageSize)))"
                    [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                    <option *ngIf="row.division !== undefined" selected disabled value=null>กรุณาเลือกสายงาน</option>
                    <option *ngIf="row.division === undefined" selected disabled value=undefined>กรุณาเลือกสายงาน
                    </option>
                    <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                      value='grpReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of divisionList[(index + (paginator.pageIndex * paginator.pageSize))]" [ngValue]="item.ouCode">{{item.ouCode}} : {{item.ouName}}</option> -->
                    <option *ngFor="let item of divisionList[(index + (paginator.pageIndex * paginator.pageSize))]"
                      [ngValue]="item.ouCode">{{item.ouName}}</option>
                  </select>
                </div>
                <div *ngIf="divisionList[(index + (paginator.pageIndex * paginator.pageSize))] === 'nondata'">
                  <select class="form-control" [(ngModel)]="row.division"
                    (ngModelChange)="filterSearch('grp', row.division, (index + (paginator.pageIndex * paginator.pageSize)))"
                    [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                    <option selected disabled value=null> - </option>
                    <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                      value='grpReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  </select>
                </div>
              </div>
            </ng-template>
          </div>

          <label *ngIf="modestatus === 'view'">
            <div
              *ngIf="row.division === null || row.division === '' || row.division === undefined; else division_content_view">
              -
            </div>
            <ng-template #division_content_view>
              <div *ngIf="row.division !== null && row.division !== undefined">
                {{row.division.ouName}}
              </div>
            </ng-template>

          </label>

        </td>
      </ng-container>

      <!-- group Column -->
      <ng-container matColumnDef="group">
        <th mat-header-cell *matHeaderCellDef style="width: 400px;">กลุ่มงาน</th>
        <td mat-cell *matCellDef="let row; index as index">
          <!-- <div>= index {{index}} = {{(index + (paginator.pageIndex * paginator.pageSize))}}</div>
          <div *ngIf="row.group === undefined" >= undefined =</div>
          <div *ngIf="row.group !== undefined" >= non undefined =</div>
          <div *ngIf="row.group === null" >= null =</div>
          <div *ngIf="row.group !== null" >= non null =</div> -->
          <div *ngIf="modestatus !== 'view'">
            <div *ngIf="row.group === null || row.group === '' || row.group === undefined; else group_content">
              <!-- - -->
              <div *ngIf="workgroupList[(index + (paginator.pageIndex * paginator.pageSize))] !== 'nondata'">
                <select class="form-control" [(ngModel)]="row.group"
                  (ngModelChange)="filterSearchNew('sctr', row.group, (index + (paginator.pageIndex * paginator.pageSize)))"
                  [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                  <option *ngIf="row.group !== undefined" selected disabled value=null>กรุณาเลือกกลุ่มงาน</option>
                  <option *ngIf="row.group === undefined" selected disabled value=undefined>กรุณาเลือกกลุ่มงาน</option>
                  <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                    value='sctrReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  <!-- <option *ngFor="let item of workgroupList[(index + (paginator.pageIndex * paginator.pageSize))]" [ngValue]="item">{{item.groupOuCode}} : {{item.ouCode}} : {{item.ouName}}</option> -->
                  <option *ngFor="let item of workgroupList[(index + (paginator.pageIndex * paginator.pageSize))]"
                    [ngValue]="item">{{item.ouName}}</option>
                </select>
              </div>
              <div *ngIf="workgroupList[(index + (paginator.pageIndex * paginator.pageSize))] === 'nondata'">
                <select class="form-control" [(ngModel)]="row.group"
                  (ngModelChange)="filterSearchNew('sctr', row.group, (index + (paginator.pageIndex * paginator.pageSize)))"
                  [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                  <option selected disabled value=null> - </option>
                  <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                    value='sctrReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
              </div>
            </div>
            <ng-template #group_content>
              <div>
                <!-- {{row.group.groupOuCode}} : {{row.group.ouCode}} : {{row.group.ouName}} -->
                <div *ngIf="workgroupList[(index + (paginator.pageIndex * paginator.pageSize))] !== 'nondata'">
                  <select class="form-control" [(ngModel)]="row.group.ouCode"
                    (ngModelChange)="filterSearch('sctr', row.group, (index + (paginator.pageIndex * paginator.pageSize)))"
                    [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                    <option *ngIf="row.group !== undefined" selected disabled value=null>กรุณาเลือกกลุ่มงาน</option>
                    <option *ngIf="row.group === undefined" selected disabled value=undefined>กรุณาเลือกกลุ่มงาน
                    </option>
                    <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                      value='sctrReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of workgroupList[(index + (paginator.pageIndex * paginator.pageSize))]" [ngValue]="item.ouCode">{{item.groupOuCode}} : {{item.ouCode}} : {{item.ouName}}</option> -->
                    <option *ngFor="let item of workgroupList[(index + (paginator.pageIndex * paginator.pageSize))]"
                      [ngValue]="item.ouCode">{{item.ouName}}</option>
                  </select>
                </div>
                <div *ngIf="workgroupList[(index + (paginator.pageIndex * paginator.pageSize))] === 'nondata'">
                  <select class="form-control" [(ngModel)]="row.group"
                    (ngModelChange)="filterSearch('sctr', row.group, (index + (paginator.pageIndex * paginator.pageSize)))"
                    [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                    <option selected disabled value=null> - </option>
                    <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                      value='sctrReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  </select>
                </div>
              </div>
            </ng-template>
          </div>


          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.group === null || row.group === '' || row.group === undefined; else group_content_view">
              -
            </div>
            <ng-template #group_content_view>
              <div *ngIf="row.group !== null && row.group !== undefined">
                {{row.group.ouName}}
              </div>
            </ng-template>

          </label>

        </td>
      </ng-container>

      <!-- department Column -->
      <ng-container matColumnDef="department">
        <th mat-header-cell *matHeaderCellDef style="width: 400px;">ฝ่ายงาน</th>
        <td mat-cell *matCellDef="let row;index as index">
          <div *ngIf="modestatus !== 'view'">
            <div
              *ngIf="row.department === null || row.department === '' || row.department === undefined; else department_content">
              <!-- - -->
              <div *ngIf="departmentList[(index + (paginator.pageIndex * paginator.pageSize))] !== 'nondata'">
                <select class="form-control" [(ngModel)]="row.department"
                  (ngModelChange)="filterSearchNew('dept', row.department, (index + (paginator.pageIndex * paginator.pageSize)))"
                  [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                  <option *ngIf="row.department !== undefined" selected disabled value=null>กรุณาเลือกฝ่ายงาน</option>
                  <option *ngIf="row.department === undefined" selected disabled value=undefined>กรุณาเลือกฝ่ายงาน
                  </option>
                  <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                    value='deptReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  <!-- <option *ngFor="let item of departmentList[(index + (paginator.pageIndex * paginator.pageSize))]" [ngValue]="item"> {{item.groupOuCode}}  : {{item.sctrOuCode}} : {{item.ouCode}} : {{item.ouName}}</option> -->
                  <option *ngFor="let item of departmentList[(index + (paginator.pageIndex * paginator.pageSize))]"
                    [ngValue]="item">{{item.ouName}}</option>
                </select>
              </div>
              <div *ngIf="departmentList[(index + (paginator.pageIndex * paginator.pageSize))] === 'nondata'">
                <select class="form-control" [(ngModel)]="row.department"
                  (ngModelChange)="filterSearchNew('dept', row.department, (index + (paginator.pageIndex * paginator.pageSize)))"
                  [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                  <option value=null selected disabled> - </option>
                  <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                    value='deptReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
              </div>
            </div>
            <ng-template #department_content>
              <div>
                <!-- {{row.department.ouCode}} : {{row.department.ouName}} -->
                <div *ngIf="departmentList[(index + (paginator.pageIndex * paginator.pageSize))] !== 'nondata'">
                  <select class="form-control" [(ngModel)]="row.department.ouCode"
                    (ngModelChange)="filterSearch('dept', row.department, (index + (paginator.pageIndex * paginator.pageSize)))"
                    [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                    <option *ngIf="row.department !== undefined" selected disabled value=null>กรุณาเลือกฝ่ายงาน</option>
                    <option *ngIf="row.department === undefined" selected disabled value=undefined>กรุณาเลือกฝ่ายงาน
                    </option>
                    <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                      value='deptReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of departmentList[(index + (paginator.pageIndex * paginator.pageSize))]" [ngValue]="item.ouCode"> {{item.groupOuCode}}  : {{item.sctrOuCode}} : {{item.ouCode}} : {{item.ouName}}</option> -->
                    <option *ngFor="let item of departmentList[(index + (paginator.pageIndex * paginator.pageSize))]"
                      [ngValue]="item.ouCode">{{item.ouName}}</option>
                  </select>
                </div>
                <div *ngIf="departmentList[(index + (paginator.pageIndex * paginator.pageSize))] === 'nondata'">
                  <select class="form-control" [(ngModel)]="row.department"
                    (ngModelChange)="filterSearch('dept', row.department, (index + (paginator.pageIndex * paginator.pageSize)))"
                    [disabled]="row.code !== null" (ngModelChange)="changeSaveDraft()">
                    <option value=null selected disabled> - </option>
                    <option *ngIf="checkFilterStatus((index + (paginator.pageIndex * paginator.pageSize)))"
                      value='deptReset'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  </select>
                </div>
              </div>
            </ng-template>
          </div>

          <label *ngIf="modestatus === 'view'">
            <div
              *ngIf="row.department === null || row.department === '' || row.department === undefined; else department_content_view">
              -
            </div>
            <ng-template #department_content_view>
              <div>
                {{row.department.ouName}}
              </div>
            </ng-template>
          </label>

        </td>
      </ng-container>

      <!-- poName Column -->
      <ng-container matColumnDef="poName">
        <th mat-header-cell *matHeaderCellDef style="width: 300px;">
          Product Owner
        </th>
        <td mat-cell *matCellDef="let row">
          <textarea appTextareaAutoresize autocomplete="off" class="form-control example" [(ngModel)]="row.poName"
            *ngIf="modestatus !== 'view'" placeholder="Product Owner" [disabled]="row.code !== null"
            (ngModelChange)="changeSaveDraft()"></textarea>
          <label *ngIf="modestatus === 'view'">
            <div *ngIf="row.poName === null || row.poName === ''">
              -
            </div>
            <div *ngIf="row.poName !== null" style="word-wrap: break-word; width: 300px;">
              {{row.poName}}
            </div>
          </label>
        </td>
      </ng-container>

      <!-- action Column -->
      <ng-container matColumnDef="action">
        <th style="width: 7%;" mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let row;let i = index">
          <a (click)="deleteRow(row,i,pageSize)" *ngIf="modestatus !== 'view'"
            [ngClass]="{'delete-btn-disabled' : row.code !== null, 'delete-btn': row.code === null}">ลบข้อมูล</a>
        </td>
      </ng-container>
    </tr>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
</div><br /><br />

<div class="add d-flex">
  <div class="add-save" *ngIf="modestatus !== 'view'">
    <button class="btn button-add" (click)="addData()">
      <img src="../../../../../assets/img/add_white.svg">
      เพิ่มข้อมูล
    </button>

  </div>
</div><br />

<div class="page">
  <mat-paginator [length]="dataSource.data.length"
  [pageIndex]="currentPage"
   [pageSize]="pageSize" [pageSizeOptions]="pageSizeOptions"
    (page)="pageEvent = handlePage($event)">
  </mat-paginator>
</div>


<!-- Modal -->
<div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" *ngIf="confirmState === 'confirm'">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/checkmark-s.png" alt=""> ยืนยันการส่งงาน
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่? ว่าต้องการบันทึกข้อมูล<br>
          การจัดการข้อมูลในระบบ
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          กลับไปแก้ไข
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="onSave()">
          บันทึกข้อมูล
        </button>

      </div>
    </div>
    <div class="modal-content" *ngIf="confirmState === 'success'">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้บันทึกข้อมูลแล้วเรียบร้อย</div>
    </div>
  </div>
</div>